/* ---------------------------------------------------------------------------------------------
                               U S I N G   T O T A L S   &   C O U N T S

                                                   Ron Kessler
                                                    
                                               C# 2015 Version
  ---------------------------------------------------------------------------------------------
  Notes:
     This program introduces you to C# counts & Totals. The program keeps a running total of the amount
     they spend and the total number of items they bought.

     The program also shows you how to use module-level or class-level variables

    
*/
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Using_Totals_and_Counting
{
    public partial class frmCounts : Form
    {
        public frmCounts()
        {
            InitializeComponent();
        }

        //---class or module level variables go here after the InitializeComponent(); stuff
        decimal grandTotal = 0;     //hold the running total
        int numItems = 0;            //hold the number of items bought
                     

        private void btnAdd_Click(object sender, EventArgs e)
        {
            //---take item and cost & put them in textboxes
            //decimal grandTotal = 0;     //hold the running total
            //int numItems = 0;            //hold the number of items bought

            string itemSelected = lstItems.Text.Substring(0,15).Trim();
            decimal price = Convert.ToDecimal(lstItems.Text.Substring(16).Trim());

            //---now assign values to the textboxes        
            txtItem.Text = itemSelected.Trim();
            txtCost.Text = price.ToString();

            //---add this cost to the running total
            grandTotal = grandTotal + price;

            grandTotal += price;


            numItems++;     //same as numItems = numItems + 1 or numItems += 1          

            lblTotalSpent.Text = "You spent " + grandTotal + " today. Thanks!";
            lblNumItems.Text = "You purchased " + numItems + " items.";
        }


    

        private void btnQuit_Click(object sender, EventArgs e)
        {
            this.Close();
        }           
    }
}